<?php
  
/*
---------------
Поднять рейтинг
---------------
*/
  
$rating = @PARSE_INI_FILE(ROOT."/system/config/rating.ini", FALSE);
  
IF (POST('ok')){
  
  $rat1 = ABS(INTVAL(POST('rating')));
  
  $rat = $rating['MONEY'] * $rat1;
  
  IF ($user['MONEY'] < $rat){
    
    ERROR('Недостаточно денег на счету', 'session');
    $err_data = 1;
  
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/users/shop/?section=rating');
  
  }
  
  DB::GET_SET("UPDATE `USERS` SET `MONEY` = '".($user['MONEY'] - $rat)."', `RATING` = '".($user['RATING'] + $rat1)."' WHERE `ID` = '".$user['ID']."' LIMIT 1");
    
  SUCCESS('Рейтинг успешно поднят', 'session');
  REDIRECT('/id'.$user['ID'].'');

}
  
ECHO "<div class='list'><center><b>".LG('Поднять рейтинг')."<br />".LG('Стоимость услуги').": 1 ".LG('ед. рейтинга')." = ".MONEY($rating['MONEY'], CONFIG('MONEY'), 3)."</b></center></div>";

ECHO "<div class='list-body'>";

ECHO "<div class='list-menu'>";
ECHO "".LG('Текущий рейтинг').": <b>".$user['RATING']."</b>";  
ECHO "</div>";

ECHO "<div class='list-menu'>";

ECHO "<form method='post' class='form' action='/users/shop/?section=rating'>";
  
ECHO "<b>".LG('Введите количество единиц рейтинга').":</b><br />";
  
HTML::INPUT('rating', '0', NULL, NULL, NULL, 'form-control-30');

HTML::BUTTON('btn-big ajax-button', 'ok', 'exchange', 'Обменять');
  
ECHO "</form>";

ECHO "</div>";

ECHO "</div>";
  
?>